## telegraf 1.15.1+ds1

=== vendor/github.com/Shopify/sarama/Makefile ===
export GO111MODULE=on

default: fmt vet errcheck test lint

# Taken from https://github.com/codecov/example-go#caveat-multiple-files
.PHONY: test
test:
	echo "mode: atomic" > coverage.txt
	for d in `go list ./...`; do \
		go test -p 1 -v -timeout 6m -race -coverprofile=profile.out -covermode=atomic $$d || exit 1; \
		if [ -f profile.out ]; then \
			tail +2 profile.out >> coverage.txt; \
			rm profile.out; \
		fi \
	done

GOLINT := $(shell command -v golint)

.PHONY: lint
lint:
ifndef GOLINT
	go get golang.org/x/lint/golint
endif
	go list ./... | xargs golint

.PHONY: vet
vet:
	go vet ./...

ERRCHECK := $(shell command -v errcheck)
# See https://github.com/kisielk/errcheck/pull/141 for details on ignorepkg
.PHONY: errcheck
errcheck:
ifndef ERRCHECK
	go get github.com/kisielk/errcheck
endif
	errcheck -ignorepkg fmt github.com/Shopify/sarama/...

.PHONY: fmt
fmt:
	@if [ -n "$$(go fmt ./...)" ]; then echo 'Please run go fmt on your code.' && exit 1; fi

.PHONY : install_dependencies
install_dependencies: get

.PHONY: get
get:
	go get -v ./...

.PHONY: clean
clean:
	go clean ./...

.PHONY: tidy
tidy:
	go mod tidy -v

=== debian/changelog ===
telegraf (1.15.1+ds1-0ubuntu1) groovy; urgency=medium

  * Initial release. (LP: #1889134)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Thu, 30 Jul 2020 11:50:58 -0400

=== debian/control ===
Source: telegraf
Section: net
Priority: optional
Maintainer: Ubuntu Server Team <ubuntu-server@lists.ubuntu.com>
Build-Depends: debhelper-compat (= 13),
	       golang-go,
	       python3-docutils,
	       netbase <!nocheck>,
	       tzdata <!nocheck>,
Standards-Version: 4.5.0
Homepage: https://github.com/influxdata/telegraf
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/influxdata/telegraf
Vcs-Browser: https://git.launchpad.net/~canonical-server/ubuntu/+source/telegraf
Vcs-Git: https://git.launchpad.net/~canonical-server/ubuntu/+source/telegraf

Package: telegraf
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
	 adduser,
Built-Using: ${misc:Built-Using}
Description: Plugin-driven server agent for collecting & reporting metrics
 Telegraf is an agent for collecting, processing, aggregating, and
 writing metrics.
 .
 Design goals are to have a minimal memory footprint with a plugin
 system so that developers in the community can easily add support for
 collecting metrics.
 .
 Telegraf is plugin-driven and has the concept of 4 distinct plugin
 types:
 .
  1. Input Plugins collect metrics from the system, services, or 3rd
     party API
 .
  2. Processor Plugins transform, decorate, and/or filter metrics
 .
  3. Aggregator Plugins create aggregate metrics (e.g. mean, min, max,
     quantiles, etc.)
 .
  4. Output Plugins write metrics to various destinations

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

# Our GOPATH and GOCACHE locations.
OUR_GOPATH = $(CURDIR)/.gopath
export GOPATH = $(OUR_GOPATH)
export GOCACHE = $(CURDIR)/.gocache

%:
	dh $@

override_dh_auto_clean:
	go clean -cache -modcache
	dh_auto_clean

override_dh_auto_build:
	go build -v -x \
		-ldflags "-X main.version=$(DEB_VERSION)" \
		-mod=vendor ./cmd/telegraf/
	rst2man debian/telegraf.rst debian/telegraf.1

# We don't want to call "make install" because it will try to execute
# "go build" without taking the vendor/ directory into consideration,
# which will cause go to try to download all of the modules.
override_dh_auto_install:

# The Apache license states that we must distribute the NOTICE files
# if they exists, which is the case for us.
override_dh_installdocs:
	find . -type f -name "NOTICE*" | \
	while read -r notice_file ; do \
		echo "-- $$notice_file --" >> NOTICE; \
		cat $$notice_file >> NOTICE; \
	done
	dh_installdocs
	rm NOTICE

# Which tests do we want to exclude?
#
#   - inputs/ping depends on the network, so it can't run while
#     building.
#
#   - processors/reverse_dns also depends on the network.
EXCLUDE_TESTS = \
	github.com/influxdata/telegraf/plugins/inputs/ping \
	github.com/influxdata/telegraf/plugins/processors/reverse_dns

# Obtain the list of all possible tests, and remove those that are not
# suitable.
ALL_TESTS = $(shell go list -mod=vendor ./...)
TEST_LIST = $(filter-out $(EXCLUDE_TESTS),$(ALL_TESTS))

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	go test -mod=vendor -short $(TEST_LIST)
endif

## telegraf 1.15.2+ds1

=== debian/changelog ===
telegraf (1.15.2+ds1-0ubuntu1) groovy; urgency=medium

  * New upstream version 1.15.2+ds1
  * d/rules: Enable PIE and hardening flags.
  * d/control: Update Vcs-* to reflect move to ~ubuntu-server.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Thu, 20 Aug 2020 14:17:09 -0400

## telegraf 1.17.2+ds1

=== vendor/github.com/riemann/riemann-go-client/proto/Makefile ===
include ../Make.protobuf

all:    regenerate

regenerate:
	rm -f proto.pb.go
	make proto.pb.go

=== debian/changelog ===
telegraf (1.17.2+ds1-0ubuntu3) hirsute; urgency=medium

  * d/rules: Disable test for inputs/riemann_listener.
    The test is currently failing with Go 1.16.  The issue has been
    reported upstream.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Sat, 20 Feb 2021 01:10:20 -0500

telegraf (1.17.2+ds1-0ubuntu2) hirsute; urgency=medium

  * d/p/adjust-etc-telegraf.conf.patch: Adjust /etc/telegraf.conf.
    Change telegraf's default configuration to not attempt connecting to
    an influxdb instance, as it's not required for installation and thus
    may not be present. (LP: #1916305)
  * d/t/basic-outputs: Update and simplify test preparation.
    With the change in the configuration file, there is no more need to
    comment out the influxdb output nor to add the prometheus_client
    output.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Fri, 19 Feb 2021 23:46:34 -0500

telegraf (1.17.2+ds1-0ubuntu1) hirsute; urgency=medium

  * d/repack-telegraf-with-vendor.sh: Fix "trap" instruction.
  * d/repack-telegraf-with-vendor.sh: Allow user to specify the Go binary.
  * New upstream version 1.17.2+ds1
  * d/p/use-mod-vendor-on-leofs-test.patch: Remove patch.
    Upstream has changed the way leofs works, and it's not invoking "go"
    directly anymore.  For this reason, there is no more need to make sure
    "go" was invoked with "-mod=vendor".

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 02 Feb 2021 19:06:07 -0500

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
 Homepage: https://github.com/influxdata/telegraf
 Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/influxdata/telegraf
-Vcs-Browser: https://git.launchpad.net/~canonical-server/ubuntu/+source/telegraf
-Vcs-Git: https://git.launchpad.net/~canonical-server/ubuntu/+source/telegraf
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server/ubuntu/+source/telegraf
+Vcs-Git: https://git.launchpad.net/~ubuntu-server/ubuntu/+source/telegraf
 
 Package: telegraf
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/pkg-info.mk
+include /usr/share/dpkg/buildflags.mk
 
 # Our GOPATH and GOCACHE locations.
 OUR_GOPATH = $(CURDIR)/.gopath
@@ -16,7 +17,8 @@
 
 override_dh_auto_build:
 	go build -v -x \
-		-ldflags "-X main.version=$(DEB_VERSION)" \
+		-buildmode=pie \
+		-ldflags "-X main.version=$(DEB_VERSION) -extldflags \"$(LDFLAGS)\"" \
 		-mod=vendor ./cmd/telegraf/
 	rst2man debian/telegraf.rst debian/telegraf.1
 
@@ -42,9 +44,13 @@
 #     building.
 #
 #   - processors/reverse_dns also depends on the network.
+#
+#   - inputs/riemann_listener fails with Go 1.16.  See
+#     https://github.com/influxdata/telegraf/issues/8888
 EXCLUDE_TESTS = \
 	github.com/influxdata/telegraf/plugins/inputs/ping \
-	github.com/influxdata/telegraf/plugins/processors/reverse_dns
+	github.com/influxdata/telegraf/plugins/processors/reverse_dns \
+	github.com/influxdata/telegraf/plugins/inputs/riemann_listener
 
 # Obtain the list of all possible tests, and remove those that are not
 # suitable.

=== debian/tests/control ===
Tests: basic-outputs
Depends: telegraf, curl, netcat
Restrictions: allow-stderr, isolation-container, needs-root

## telegraf 1.18.1+ds1

=== vendor/gopkg.in/mgo.v2/Makefile ===
startdb:
	@harness/setup.sh start

stopdb:
	@harness/setup.sh stop

=== vendor/github.com/ericchiang/k8s/Makefile ===
KUBE_VERSION=1.10.1

build:
	go build -v ./...

test:
	go test -v ./...

test-examples:
	@for example in $(shell find examples/ -name '*.go'); do \
		go build -v $$example || exit 1; \
	done

.PHONY: generate
generate: _output/kubernetes _output/bin/protoc _output/bin/gomvpkg _output/bin/protoc-gen-gofast _output/src/github.com/golang/protobuf
	./scripts/generate.sh
	go run scripts/register.go
	cp scripts/json.go.partial apis/meta/v1/json.go

.PHONY: verify-generate
verify-generate: generate
	./scripts/git-diff.sh

_output/bin/protoc-gen-gofast:
	./scripts/go-install.sh \
		https://github.com/gogo/protobuf \
		github.com/gogo/protobuf \
		github.com/gogo/protobuf/protoc-gen-gofast \
		tags/v0.5

_output/bin/gomvpkg:
	./scripts/go-install.sh \
		https://github.com/golang/tools \
		golang.org/x/tools \
		golang.org/x/tools/cmd/gomvpkg \
		fbec762f837dc349b73d1eaa820552e2ad177942

_output/src/github.com/golang/protobuf:
	git clone https://github.com/golang/protobuf _output/src/github.com/golang/protobuf

_output/bin/protoc:
	./scripts/get-protoc.sh

_output/kubernetes:
	mkdir -p _output
	curl -o _output/kubernetes.zip -L https://github.com/kubernetes/kubernetes/archive/v$(KUBE_VERSION).zip
	unzip _output/kubernetes.zip -d _output > /dev/null
	mv _output/kubernetes-$(KUBE_VERSION) _output/kubernetes

.PHONY: clean
clean:
	rm -rf _output

=== vendor/github.com/gopcua/opcua/Makefile ===
all: test integration

test:
	go test ./...

integration:
	go test -v -tags=integration ./uatest/...

install-py-opcua:
	pip3 install opcua

gen:
	GOMODULES111=on go get -u golang.org/x/tools/cmd/stringer
	go generate ./...

release:
	GITHUB_TOKEN=$$(security find-generic-password -gs GITHUB_TOKEN -w) goreleaser --rm-dist

=== vendor/github.com/gosnmp/gosnmp/Makefile ===
.PHONY: test lint lint-all lint-examples tools

test:
	go test *.go

lint:
	golangci-lint run -v

tools:
	curl -sSfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh | sh -s -- -b $(GOPATH)/bin v1.36.0

=== vendor/github.com/riemann/riemann-go-client/Makefile ===
RIEMANN_VERSION = 0.3.0

all:    install

install:
	go install
	go install ./proto

test:
	go test -race ./...

benchmarks:
	go test -bench=. -benchmem

integ-test:
	make integ ; make clean

integ:
	./integration.sh $(RIEMANN_VERSION)

clean:
	go clean ./...
	rm -f riemann-$(RIEMANN_VERSION).tar.bz2
	rm -rf riemann-$(RIEMANN_VERSION)
	rm -f riemann.PID

nuke:
	go clean -i ./...

regenerate:
	make -C proto regenerate

=== vendor/github.com/Azure/azure-event-hubs-go/v3/Makefile ===
PACKAGE  = github.com/Azure/azure-event-hubs-go
DATE    ?= $(shell date +%FT%T%z)
VERSION ?= $(shell git describe --tags --always --dirty --match=v* 2> /dev/null || \
			cat $(CURDIR)/.version 2> /dev/null || echo v0)
BIN      = $(GOPATH)/bin
GO_FILES = find . -iname '*.go' -type f | grep -v /vendor/

GO      = go
GODOC   = godoc
GOFMT   = gofmt
GOCYCLO = gocyclo
GOLINT  = $(BIN)/golint
GOSTATICCHECK = $(BIN)/staticcheck

V = 0
Q = $(if $(filter 1,$V),,@)
M = $(shell printf "\033[34;1m▶\033[0m")
TIMEOUT = 720

.PHONY: all
all: fmt lint vet tidy build

.PHONY: build
build: | ; $(info $(M) building library…) @ ## Build program
	$Q $(GO) build all

# Tests

TEST_TARGETS := test-default test-bench test-verbose test-race test-debug test-cover
.PHONY: $(TEST_TARGETS) test-xml check test tests
test-bench:   ARGS=-run=__absolutelynothing__ -bench=. 		## Run benchmarks
test-verbose: ARGS=-v            							## Run tests in verbose mode
test-debug:   ARGS=-v -debug     							## Run tests in verbose mode with debug output
test-race:    ARGS=-race         							## Run tests with race detector
test-cover:   ARGS=-cover -coverprofile=cover.out -v     	## Run tests in verbose mode with coverage
$(TEST_TARGETS): NAME=$(MAKECMDGOALS:test-%=%)
$(TEST_TARGETS): test
check test tests: cyclo lint vet terraform.tfstate; $(info $(M) running $(NAME:%=% )tests…) @ ## Run tests
	$(GO) test -timeout $(TIMEOUT)s $(ARGS) ./...

.PHONY: vet
vet: ; $(info $(M) running vet…) @ ## Run vet
	$Q $(GO) vet ./...

.PHONY: tidy
tidy: ; $(info $(M) running go mod tidy…) @ ## Run tidy
	$Q $(GO) mod tidy

.PHONY: lint
lint: ; $(info $(M) running golint…) @ ## Run golint
	$Q $(GOLINT) ./...

.PHONY: staticcheck
staticcheck: ; $(info $(M) running staticcheck…) @ ## Run staticcheck
	$Q $(GOSTATICCHECK) ./...

.PHONY: fmt
fmt: ; $(info $(M) running gofmt…) @ ## Run gofmt on all source files
	@ret=0 && for d in $$($(GO) list -f '{{.Dir}}' ./... | grep -v /vendor/); do \
		$(GOFMT) -l -w $$d/*.go || ret=$$? ; \
	 done ; exit $$ret

.PHONY: cyclo
cyclo: ; $(info $(M) running gocyclo...) @ ## Run gocyclo on all source files
	$Q $(GOCYCLO) -over 19 $$($(GO_FILES))

terraform.tfstate: azuredeploy.tf $(wildcard terraform.tfvars) .terraform ; $(info $(M) running terraform...) @ ## Run terraform to provision infrastructure needed for testing
	$Q TF_VAR_azure_client_secret="$${ARM_CLIENT_SECRET}" terraform apply -auto-approve
	$Q terraform output -json | jq -r 'keys[] as $$k | "\($$k) = \(.[$$k].value)"' > .env

.terraform:
	$Q terraform init

.Phony: destroy
destroy: ; $(info $(M) running terraform destroy...)
	$(Q) terraform destroy --auto-approve

# Misc

.PHONY: clean
clean: ; $(info $(M) cleaning…)	@ ## Cleanup everything
	@rm -rf test/tests.* test/coverage.*

.PHONY: help
help:
	@grep -E '^[ a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | \
		awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-15s\033[0m %s\n", $$1, $$2}'

.PHONY: version
version:
	@echo $(VERSION)

=== debian/changelog ===
telegraf (1.18.1+ds1-0ubuntu1) impish; urgency=medium

  * d/p/repack-telegraf-with-vendor.sh: Improve cleanup procedure.
  * New upstream version 1.18.1+ds1.
  * d/p/CVE-2021-3121.patch:
    Fix for CVE-2021-3121.  Update gogo/protobuf to 1.3.2. (LP: #1925968)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 27 Apr 2021 14:27:18 -0400

## telegraf 1.18.3+ds1

=== vendor/modernc.org/libc/Makefile ===
# Copyright 2019 The Libc Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

.PHONY:	all bench clean cover cpu editor internalError later mem nuke todo edit devbench \
	linux_386 \
	linux_amd64 \


grep=--include=*.go --include=*.l --include=*.y --include=*.yy --include=*.qbe --include=*.ssa
ngrep='internalError\|TODOOK'
log=log-$(shell go env GOOS)-$(shell go env GOARCH)

all:
	date
	go version 2>&1 | tee $(log)
	go generate
	gofmt -l -s -w *.go
	go install -v ./...
	go test -i
	go test 2>&1 -timeout 1h | tee -a $(log)
	GOOS=linux GOARCH=386 go build
	GOOS=linux GOARCH=amd64 go build
	# GOOS=linux GOARCH=arm go build
	# GOOS=windows GOARCH=386 go build
	# GOOS=windows GOARCH=amd64 go build
	go vet 2>&1 | grep -v $(ngrep) || true
	golint 2>&1 | grep -v $(ngrep) || true
	make todo
	misspell *.go
	staticcheck | grep -v 'lexer\.go\|parser\.go' || true
	maligned || true
	grep -n 'FAIL\|PASS' $(log)
	go version
	date 2>&1 | tee -a $(log)

linux_amd64:
	TARGET_GOOS=linux TARGET_GOARCH=amd64 go generate
	GOOS=linux GOARCH=amd64 go build -v ./...

linux_386:
	CCGO_CPP=i686-linux-gnu-cpp TARGET_GOOS=linux TARGET_GOARCH=386 go generate
	GOOS=linux GOARCH=386 go build -v ./...

linux_arm:
	CCGO_CPP=arm-linux-gnueabi-cpp-8 TARGET_GOOS=linux TARGET_GOARCH=arm go generate
	GOOS=linux GOARCH=arm go build -v ./...

linux_arm64:
	CCGO_CPP=aarch64-linux-gnu-cpp-8 TARGET_GOOS=linux TARGET_GOARCH=arm64 go generate
	GOOS=linux GOARCH=arm64 go build -v ./...

devbench:
	date 2>&1 | tee log-devbench
	go test -timeout 24h -dev -run @ -bench . 2>&1 | tee -a log-devbench
	grep -n 'FAIL\|SKIP' log-devbench || true

bench:
	date 2>&1 | tee log-bench
	go test -timeout 24h -v -run '^[^E]' -bench . 2>&1 | tee -a log-bench
	grep -n 'FAIL\|SKIP' log-bench || true

clean:
	go clean
	rm -f *~ *.test *.out

cover:
	t=$(shell mktemp) ; go test -coverprofile $$t && go tool cover -html $$t && unlink $$t

cpu: clean
	go test -run @ -bench . -cpuprofile cpu.out
	go tool pprof -lines *.test cpu.out

edit:
	touch log
	gvim -p Makefile *.go \
	&

editor:
	go generate 2>&1 | tee log
	gofmt -l -s -w *.go
	go test -i
	go test -short 2>&1 | tee -a log
	go install -v ./...

later:
	@grep -n $(grep) LATER * || true
	@grep -n $(grep) MAYBE * || true

mem: clean
	go test -v -run ParserCS -memprofile mem.out -timeout 24h
	go tool pprof -lines -web -alloc_space *.test mem.out

nuke: clean
	go clean -i

todo:
	@grep -nr $(grep) ^[[:space:]]*_[[:space:]]*=[[:space:]][[:alpha:]][[:alnum:]]* * | grep -v $(ngrep) || true
	@grep -nr $(grep) 'TODO\|panic' * | grep -v $(ngrep) || true
	@grep -nr $(grep) BUG * | grep -v $(ngrep) || true
	@grep -nr $(grep) [^[:alpha:]]println * | grep -v $(ngrep) || true
	@grep -nir $(grep) 'work.*progress' || true

=== debian/changelog ===
telegraf (1.18.3+ds1-0ubuntu1) impish; urgency=medium

  * d/copyright: Update copyright notices according to the latest version.
  * d/repack-telegraf-with-vendor.sh: cd to "orig_dir" before cleaning up.
  * New upstream version 1.18.3+ds1
  * d/p/CVE-2021-3121.patch: Remove patch; upstream fixed the issue.
  * d/p/adjust-{etc-telegraf.conf,service-user}.patch:
    Refresh patches.
  * d/copyright: Update according to the new upstream version.
  * d/rules: Disable test github.com/influxdata/telegraf/agent on armhf.
    Unfortunately this test is failing on armhf.  An upstream bug has been
    filed.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 25 May 2021 12:11:49 -0400

## telegraf 1.19.2+ds1

=== debian/changelog ===
telegraf (1.19.2+ds1-0ubuntu1) impish; urgency=medium

  * New upstream version 1.19.2+ds1
  * d/copyright: Update copyright notices to reflect changes in the release.
  * d/control: Bump Standards-Version to 4.5.1.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Wed, 04 Aug 2021 18:53:35 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	       python3-docutils,
 	       netbase <!nocheck>,
 	       tzdata <!nocheck>,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/influxdata/telegraf
 Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/influxdata/telegraf

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 include /usr/share/dpkg/pkg-info.mk
 include /usr/share/dpkg/buildflags.mk
+include /usr/share/dpkg/architecture.mk
 
 # Our GOPATH and GOCACHE locations.
 OUR_GOPATH = $(CURDIR)/.gopath
@@ -52,6 +53,11 @@
 	github.com/influxdata/telegraf/plugins/processors/reverse_dns \
 	github.com/influxdata/telegraf/plugins/inputs/riemann_listener
 
+# https://github.com/influxdata/telegraf/issues/9302
+ifeq ($(DEB_HOST_ARCH),armhf)
+EXCLUDE_TESTS += github.com/influxdata/telegraf/agent
+endif
+
 # Obtain the list of all possible tests, and remove those that are not
 # suitable.
 ALL_TESTS = $(shell go list -mod=vendor ./...)
